%global oname  gle-graphics

Summary:       Graphics Layout Engine
Name:          gle
Version:       4.2.4c
Release:       4%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://www.gle-graphics.org/
Source0:       http://downloads.sourceforge.net/glx/gle-graphics-%{version}f-src.tar.gz
Source1:       http://downloads.sourceforge.net/glx/GLEusersguide.pdf
# Due to branching of docs and qgle
Obsoletes:     %{name} < 4.2.2-8

BuildRequires: cairo-devel
BuildRequires: libstdc++-devel >= 3.0
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: ncurses-devel
BuildRequires: poppler-glib-devel
BuildRequires: zlib-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: qt-devel >= 4.1.1
BuildRequires: dos2unix
BuildRequires: texlive-latex
Requires:      ghostscript
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GLE (Graphics Layout Engine) is a high-quality graphics package for
scientists, combining a user-friendly scripting language with a full
range of facilities for producing publication-quality graphs, diagrams,
posters and slides. GLE provides LaTeX quality fonts together with a
flexible graphics module which allows the user to specify any feature of
a graph. Complex pictures can be drawn with user-defined subroutines and
simple looping structures. Current output formats include EPS, PS, PDF,
JPEG, and PNG.

%package -n qgle
Summary:       QT frontend to GLE
Group:         Applications/Multimedia
Requires:      %{name}%{?_isa} = %{version}-%{release}
# Due to branching of docs and qgle
Obsoletes:     %{name} < 4.2.2-8

%description -n qgle
GLE (Graphics Layout Engine) is a high-quality graphics package for
scientists, combining a user-friendly scripting language with a full
range of facilities for producing publication-quality graphs, diagrams,
posters and slides. GLE provides LaTeX quality fonts together with a
flexible graphics module which allows the user to specify any feature of
a graph. Complex pictures can be drawn with user-defined subroutines and
simple looping structures. Current output formats include EPS, PS, PDF,
JPEG, and PNG.

This package contains the QT frontend.

%package doc
Summary:       User documentation for GLE
Group:         Documentation
BuildArch:     noarch
# Due to branching of docs and qgle
Obsoletes:     %{name} < 4.2.2-8

%description doc
GLE (Graphics Layout Engine) is a high-quality graphics package for
scientists, combining a user-friendly scripting language with a full
range of facilities for producing publication-quality graphs, diagrams,
posters and slides. GLE provides LaTeX quality fonts together with a
flexible graphics module which allows the user to specify any feature of
a graph. Complex pictures can be drawn with user-defined subroutines and
simple looping structures. Current output formats include EPS, PS, PDF,
JPEG, and PNG.

This package contains the user documentation.

%prep
%setup -q -n %{oname}-%{version}
install -p -m 0644 %{SOURCE1} .
touch -r README.txt configure.ac

%build
export CPPFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%configure --with-qt=%{_libdir}/qt4 \
           --with-x                 \
           --with-rpath=no          \
           --with-debug=yes         \
           --with-extrafonts=yes    \
           --docdir=%{_docdir}/%{name}-doc-%{version} \
           CPPFLAGS="%{optflags}"   \
           CXXFLAGS="%{optflags}"
make
# %{?_smp_mflags} build fails

# docs
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mv %{buildroot}/%{_docdir}/%{name}-doc-%{version}/gle-manual.pdf .
rm -rf %{buildroot}/%{_docdir}/%{name}-doc-%{version}

# Some fixes
dos2unix LICENSE.txt
rm -f %{buildroot}%{_libdir}/pkgconfig/gle-graphics.pc

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README.txt LICENSE.txt src/gui/readme.txt
%{_bindir}/gle
%{_bindir}/glebtool
%{_bindir}/manip
%{_datadir}/gle-graphics
%{_mandir}/man1/gle.1*
%{_libdir}/libgle-graphics-%{version}.so

%files -n qgle
%defattr(-, root, root, -)
%{_bindir}/qgle

%files doc
%defattr(-, root, root, -)
%doc LICENSE.txt gle-manual.pdf GLEusersguide.pdf

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.4c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 4.2.4c-3
- Rebuild (poppler-0.20.0)

* Mon May 07 2012 Terje Rosten <terje.rosten@ntnu.no> - 4.2.4c-2
- Rebuilt for new libtiff

* Mon Mar 19 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.2.4c-1
- Update to 4.2.4c.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.4b-3
- Rebuilt for c++ ABI breakage

* Tue Jan 17 2012 Terje Rosten <terje.rosten@ntnu.no> - 4.2.4b-2
- Add patches from upstream to fix gcc-4.7 build

* Tue Jan 17 2012 Terje Rosten <terje.rosten@ntnu.no> - 4.2.4b-1
- 4.2.4b
- docs
- include pdf support

* Mon Jan 02 2012 Terje Rosten <terje.rosten@ntnu.no> - 4.2.4-1
- 4.2.4
- Update patches

* Mon Nov 07 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.2.3b-4
- Rebuilt for new libpng

* Sat Oct 1 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.2.3b-3
- Enable extra fonts.
- Fix FTBFS on rawhide.
- Branch QT frontend into separate package.

* Fri Sep 30 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.2.3b-2
- Fix src url
- qt4 is qt

* Fri Sep 30 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 4.2.3b-1
- Update to 4.2.3.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct  1 2010 Dan Horák <dan[at]danny.cz> - 4.2.2-6
- 64-bit fixes

* Wed Sep  7 2010 Terje Rosten <terje.rosten@ntnu.no> - 4.2.2-3
* Be more explicit about qt devel buildreq
 
* Thu Feb 11 2010 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.2-2
- Fix typo

* Thu Feb 11 2010 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.2-1
- 4.2.2

* Sun Dec  6 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.1-1
- 4.2.1

* Fri Jul 31 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-4
- Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-2
- Build with cairo support 
- Use correct optflags

* Tue May 19 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.2.0-1
- 4.2.0
- Drop gcc43 patch now upstream
- Add more documentation

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  7 2009 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.2-2
- Add patch to compile with gcc-4.4

* Sun Mar  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.2-1
- 4.1.2
- Update pdf documentation
- Drop patch now upstream

* Sun Feb 10 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-4
- Add patch to build with gcc-4.3

* Sat Feb  9 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-3
- rebuild

* Sat Jan  5 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-2
- Drop libs and devel packages
- Don't ship pc file

* Sat Jan  5 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-1
- 4.1.1 proper

* Thu Jan  3 2008 Terje Rosten <terjeros@phys.ntnu.no> - 4.1.1-0.1.S010308
- Update to 4.1.1-S010308 (4.1.0 + some gcc 4.3 and 64 bits fixes)
- Random spec clean ups
- Add man page, lib and pc file.
- Create libs and devel subpackage
- Add rpath flag to configure

* Sun Aug 19 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12a-2
- Fix license tag

* Wed Mar 13 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12a-1
- New src upstream, lots of fixes
- Dropped subpackage: see updated LICENSE.txt
- Add ghostscript to req
- Add PDF doc

* Mon Mar 12 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-4
- Try to fix X11 preview support
- Drop preserve timestamps patch

* Mon Mar 12 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-3
- Subpackage: gui (different license on gui)
- Fix perms on src files (for debug pkg)
- Fix src url
- Fix LICENSE.txt
- Preserve timestamps
- More info: bz #229676

* Tue Feb 22 2007 Terje Rosten <terjeros@phys.ntnu.no> - 4.0.12-2
- Spec cleanup
- Build and ship qgle
- Add patch to avoid stripping

* Sun Oct 15 2006 Jonas Frantz <jonas.frantz@welho.com> - 4.0.12-1
- Updated to release 4.0.12.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 4.0.11-2.2
- Rebuild for Fedora Core 5.

* Sat Dec 17 2005 Dries Verachtert <dries@ulyssis.org> - 4.0.11-1
- Updated to release 4.0.11.

* Sat Nov 19 2005 Jonas Frantz <jonas.frantz@welho.com> - 4.0.10-2
- Fix problem with making inittex.ini

* Mon Nov 08 2005 Dries Verachtert <dries@ulyssis.org> - 4.0.10-1
- Initial package.
